import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A thermometer that displays the temperature.
 * 
 * @author Michael Berry
 * @version 01/12/10
 */
public class Thermometer extends Actor
{

    private GreenfootImage bar = new GreenfootImage(11,200);
    private double celcius = 0;
    
    /**
     * Set up the thermometer.
     */
    @Override
    public void addedToWorld(World world) {
        bar.setColor(greenfoot.Color.RED);
        bar.setColor(greenfoot.Color.WHITE);
        bar.fillRect(0, 0, bar.getWidth(), bar.getHeight());
        getImage().drawImage(bar, 33,39);
    }
    
    /**
     * Set the temperature of this thermometer.
     * @param celcius the temperature in celcius.
     */
    public void setTemp(double celcius) {
        this.celcius = celcius;
        bar.setColor(greenfoot.Color.WHITE);
        bar.fillRect(0, 0, bar.getWidth(), bar.getHeight());
        bar.setColor(greenfoot.Color.RED);
        bar.fillRect(0, (int)(174-(celcius*1.55)), bar.getWidth(), bar.getHeight());
        getImage().drawImage(bar, 33,39);
    }
    
    /**
     * Get the temperature of this thermometer.
     * @return the thermometer's temperature.
     */
    public double getTemp() {
        return celcius;
    }

}
